Subject: Re: Anybody have an mpc5200b mscan linux driver under 2.6.24, ARCH=powerpc or equiv?

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 18 Jun 2008 15:45:11 +0200

Mike Timmons wrote:
> I'm trying to wrestle the peak CAN driver for the old, non-device-tree
> ppc into submission but I'm making a mess of it so far.
> 
> I think I'll get it going at some point, but if anybody has or knows of
> an mscan driver for the mpc5200 can you alert me?

http://svn.berlios.de/svnroot/repos/socketcan/trunk/README

The Socket-CAN core is part of the official kernel since 2.6.25.

Wolfgang.

> 
> Thanks,
> Mike
> 
> -----Original Message-----
> From: linuxppc-embedded-bounces+mike_timmons=[email-masked]
> [mailto:linuxppc-embedded-bounces+mike_timmons=[email-masked]]
> On Behalf Of Scott Wood
> Sent: Tuesday, June 17, 2008 4:30 PM
> To: Mike Winter
> Cc: [email-masked]
> Subject: Re: PCI DMA Problems With 82xx?
> 
> Mike Winter wrote:
>> We are developing with an 8248-based platform, and we have a vendor 
>> telling us that the PCI hardware is unreliable on this CPU family, in 
>> particular the DMA functionality.  A quick search of this list doesn't
> 
>> turn up any horror stories, although the processor does have some PCI 
>> errata listed.  Does anybody have any practical experience using PCI
> on 
>> the 8248 or similar that they can share with me?   Thanks.
> 
> Make sure that you park the bus on PCI, and elevate PCI's arbitration 
> priority.  See fixup_pci() in arch/powerpc/boot/cuboot-pq2.c.
> 
> I haven't had a problem with PCI DMA when that is done, though I haven't
> 
> done significant stress testing.
> 
> -Scott
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
>